export declare const PromQLLightGrammar: {
    RegExpID: string;
    Style: {
        Comment: string;
        LabelKeyString: string;
        LabelValueString: string;
        Duration: string;
        Number: string;
        Aggregation: string;
        AggregationWithParameter: string;
        AggregationOverTime: string;
        FunctionTakesInstantVectorReturnsInstantVector: string;
        FunctionTakesRangeVectorReturnsInstantVector: string;
        FunctionClamp: string;
        FunctionDay: string;
        FunctionHistogramQuantile: string;
        FunctionHoltWinters: string;
        FunctionLabelJoin: string;
        FunctionLabelReplace: string;
        FunctionPredictLinear: string;
        FunctionRound: string;
        FunctionScalar: string;
        FunctionTime: string;
        FunctionTimestamp: string;
        FunctionVector: string;
        LabelMatchingOperator: string;
        ArithmeticBinaryOperator: string;
        ComparisonBinaryOperator: string;
        LogicalBinaryOperator: string;
        BoolOperator: string;
        AggregationVectorMatching: string;
        VectorOneToOneMatching: string;
        VectorOneToManyMatching: string;
    };
    Extra: {
        fold: string;
    };
    Lex: {
        "Comment:comment": (string | null)[];
        MetricName: {
            type: string;
            tokens: string;
            except: string[];
        };
        LabelKeyString: string;
        LabelValueString: {
            type: string;
            escape: string;
            tokens: (string | number)[];
        };
        Duration: string;
        Number: string;
        Aggregation: {
            autocomplete: boolean;
            tokens: string[];
        };
        AggregationWithParameter: {
            autocomplete: boolean;
            tokens: string[];
        };
        AggregationOverTime: {
            autocomplete: boolean;
            tokens: string[];
        };
        LabelMatchingOperator: {
            autocomplete: boolean;
            tokens: string[];
            combine: boolean;
        };
        ArithmeticBinaryOperator: string;
        ComparisonBinaryOperator: {
            autocomplete: boolean;
            tokens: string[];
            combine: boolean;
        };
        LogicalBinaryOperator: {
            autocomplete: boolean;
            tokens: string[];
        };
        VectorOneToOneMatching: {
            autocomplete: boolean;
            tokens: string[];
        };
        VectorOneToManyMatching: {
            autocomplete: boolean;
            tokens: string[];
        };
        AggregationVectorMatching: {
            autocomplete: boolean;
            tokens: string[];
        };
        FunctionTakesInstantVectorReturnsInstantVector: {
            autocomplete: boolean;
            tokens: string[];
        };
        FunctionTakesRangeVectorReturnsInstantVector: {
            autocomplete: boolean;
            tokens: string[];
        };
        FunctionClamp: {
            autocomplete: boolean;
            tokens: string[];
        };
        FunctionDay: {
            autocomplete: boolean;
            tokens: string[];
        };
        FunctionHistogramQuantile: {
            autocomplete: boolean;
            tokens: string[];
            combine: boolean;
        };
        FunctionHoltWinters: {
            autocomplete: boolean;
            tokens: string[];
            combine: boolean;
        };
        FunctionLabelJoin: {
            autocomplete: boolean;
            tokens: string[];
            combine: boolean;
        };
        FunctionLabelReplace: {
            autocomplete: boolean;
            tokens: string[];
            combine: boolean;
        };
        FunctionPredictLinear: {
            autocomplete: boolean;
            tokens: string[];
            combine: boolean;
        };
        FunctionRound: {
            autocomplete: boolean;
            tokens: string[];
            combine: boolean;
        };
        FunctionScalar: {
            autocomplete: boolean;
            tokens: string[];
            combine: boolean;
        };
        FunctionTime: {
            autocomplete: boolean;
            tokens: string[];
            combine: boolean;
        };
        FunctionTimestamp: {
            autocomplete: boolean;
            tokens: string[];
            combine: boolean;
        };
        FunctionVector: {
            autocomplete: boolean;
            tokens: string[];
            combine: boolean;
        };
        BoolOperator: {
            autocomplete: boolean;
            tokens: string[];
            combine: boolean;
        };
    };
    Syntax: {
        LabelKeyStringList: string;
        LabelExpr: string;
        SimpleInstantVector: string;
        RangeVector: string;
        AggregationOp: string;
        AggregationOpWithParam: string;
        AggregationOverTimeOp: string;
        FunctionTakesInstantVectorReturnsInstantVectorOp: string;
        FunctionTakesRangeVectorReturnsInstantVectorOp: string;
        FunctionClampOp: string;
        FunctionHistogramQuantileOp: string;
        FunctionHoltWintersOp: string;
        FunctionLabelJoinOp: string;
        FunctionLabelReplaceOp: string;
        FunctionPredictLinearOp: string;
        FunctionRoundOp: string;
        FunctionVectorOp: string;
        InstantVectorFunction: string;
        FunctionDayOp: string;
        FunctionScalarOp: string;
        FunctionTimeOp: string;
        FunctionTimestampOp: string;
        Scalar: string;
        InstantVector: string;
        BinOp: string;
        Expr: string;
        PromQLExpr: string;
    };
    Parser: string[][];
};
